## com.arsdigita.docmgr.ui
Class DocmgrBasePage

    java.lang.Object
      com.arsdigita.bebop.Completable
          com.arsdigita.bebop.SimpleComponent
              com.arsdigita.bebop.TextStylable
                  com.arsdigita.bebop.BlockStylable
                      com.arsdigita.bebop.Page
                          com.arsdigita.docmgr.ui.DocmgrBasePage

All Implemented Interfaces:
  Cloneable, com.arsdigita.bebop.Component, com.arsdigita.bebop.Container, com.arsdigita.util.Lockable

public class DocmgrBasePage
extends com.arsdigita.bebop.Page

BasePage class

Author:
  Jim Parsons

Nested Class Summary
`protected class` `DocmgrBasePage.CurrentApplicationLabelPrinter`
`protected class` `DocmgrBasePage.CurrentApplicationLinkPrinter`
`protected class` `DocmgrBasePage.ParentApplicationLinkPrinter`

Field Summary
`static String` `DOC_BODY_ELEMENT`
`static String` `DOC_FOOTER_ELEMENT`
`static String` `DOC_GLOBAL_ELEMENT`
`static String` `DOC_HEADER_ELEMENT`
`static String` `DOC_XML_NS`

Fields inherited from class com.arsdigita.bebop.Page
`m_invisible, m_panel, versionId`

Fields inherited from class com.arsdigita.bebop.BlockStylable
`ABSBOTTOM, ABSMIDDLE, BASELINE, BOTTOM, CENTER, FULL_WIDTH, INSERT, LEFT, MIDDLE, RIGHT, TEXTTOP, TOP`

Fields inherited from class com.arsdigita.bebop.SimpleComponent
`m_attr`

Fields inherited from interface com.arsdigita.bebop.Component
`BEBOP_XML_NS, CLASS, ID, ON_CLICK, STYLE`

Constructor Summary
`DocmgrBasePage()`
`DocmgrBasePage(String view)`

Method Summary
`void` `add(com.arsdigita.bebop.Component pc)` Adds a component to the body.
`protected void` `buildBody(com.arsdigita.bebop.Container body)`
`protected void` `buildContextBar()`
`protected void` `buildFooter(com.arsdigita.bebop.Container footer)`
`protected void` `buildGlobal(com.arsdigita.bebop.Container global)`
`protected void` `buildHeader(com.arsdigita.bebop.Container header)`
`protected void` `buildPage()`
`protected void` `buildTitle()`
`com.arsdigita.bebop.Container` `getBody()`
`com.arsdigita.bebop.Container` `getFooter()`
`com.arsdigita.bebop.Container` `getGlobal()`
`com.arsdigita.bebop.Container` `getHeader()`
`void` `goModal(com.arsdigita.bebop.PageState ps, com.arsdigita.bebop.Component c)` Makes the given component the only visible component between the header and footer of this page.
`void` `goUnmodal(com.arsdigita.bebop.PageState ps)` Clears the currently selected modal component if it has been set.
`void` `lock()`

Methods inherited from class com.arsdigita.bebop.Page

`add, addActionListener, addClientStylesheet, addComponent, addComponentStateParam, addGlobalStateParam, addRequestListener, buildDocument, children, contains, fireActionEvent, fireRequestEvent, generateXML, generateXML, generateXMLHelper, get, getComponent, getComponentParameters, getErrorDisplay, getPanel, getParameters, getStateModel, getTitle, getTitle, indexOf, isEmpty, isUsingHttpSession, isVisibleDefault, parameterName, parameterName, prepare, process, process, removeActionListener, removeRequestListener, respond, setErrorDisplay, setPanel, setStyleSheet, setTitle, setTitle, setUsingHttpSession, setVisibleDefault, size, stateContains, stateIndex, stateSize`

Methods inherited from class com.arsdigita.bebop.BlockStylable
`setBorder, setBorder, setBorderColor, setHorizontalAlignment, setMargin, setMargin, setPadding, setPadding, setVerticalAlignment`

Methods inherited from class com.arsdigita.bebop.TextStylable
`setBackgroundColor, setColor`

Methods inherited from class com.arsdigita.bebop.SimpleComponent
`clone, exportAttributes, getAttribute, getClassAttr, getIdAttr, getKey, getMetaDataAttribute, getStyleAttr, hasAttributes, isLocked, isVisible, register, register, setAttribute, setClassAttr, setIdAttr, setKey, setMetaDataAttribute, setStyleAttr, setVisible`

Methods inherited from class com.arsdigita.bebop.Completable
`addCompletionListener, fireCompletionEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.arsdigita.bebop.Component
`getClassAttr, getIdAttr, getKey, getStyleAttr, isVisible, register, register, setClassAttr, setIdAttr, setKey, setStyleAttr, setVisible`

Methods inherited from interface com.arsdigita.util.Lockable
`isLocked`

Field Detail

### DOC_GLOBAL_ELEMENT

    public static final String DOC_GLOBAL_ELEMENT

See Also:
  Constant Field Values

### DOC_HEADER_ELEMENT

    public static final String DOC_HEADER_ELEMENT

See Also:
  Constant Field Values

### DOC_BODY_ELEMENT

    public static final String DOC_BODY_ELEMENT

See Also:
  Constant Field Values

### DOC_FOOTER_ELEMENT

    public static final String DOC_FOOTER_ELEMENT

See Also:
  Constant Field Values

### DOC_XML_NS

    public static final String DOC_XML_NS

See Also:
  Constant Field Values

Constructor Detail

### DocmgrBasePage

    public DocmgrBasePage()

### DocmgrBasePage

    public DocmgrBasePage(String view)

Parameters:
  `view` - A String that specifies which application view to show. Valid values: "user", "admin" and "null". If view is "null", there will be no right-hand navigation link. Note - We've decided not to have the right-hand navigation link at all. Instead, you should create tabs. So, once the applications are migrated, view will always be null and we can remove view altogether.

Method Detail

### lock

    public void lock()

### buildPage

    protected final void buildPage()

### buildTitle

    protected void buildTitle()

### buildContextBar

    protected void buildContextBar()

### buildGlobal

    protected void buildGlobal(com.arsdigita.bebop.Container global)

### buildHeader

    protected void buildHeader(com.arsdigita.bebop.Container header)

### buildBody

    protected void buildBody(com.arsdigita.bebop.Container body)

### buildFooter

    protected void buildFooter(com.arsdigita.bebop.Container footer)

### goModal

    public void goModal(com.arsdigita.bebop.PageState ps,
                        com.arsdigita.bebop.Component c)

  Makes the given component the only visible component between the header and footer of this page.

### goUnmodal

    public void goUnmodal(com.arsdigita.bebop.PageState ps)

  Clears the currently selected modal component if it has been set.

### add

    public void add(com.arsdigita.bebop.Component pc)

  Adds a component to the body.

  Parameters:
    `pc` - the component to be added

### getGlobal

    public com.arsdigita.bebop.Container getGlobal()

### getHeader

    public com.arsdigita.bebop.Container getHeader()

### getBody

    public com.arsdigita.bebop.Container getBody()

### getFooter

    public com.arsdigita.bebop.Container getFooter()

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC